Bug 851189 (mingw-lcms2) - Review Request: mingw-lcms2 - MinGW Color Management System
Summary: Review Request: mingw-lcms2 - MinGW Color Management System
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: mingw-lcms2
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-08-23 12:59 UTC by Thomas Sailer
Modified: 2013-01-18 20:27 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-16 19:45:33 UTC
Type: Bug
greg.hellings: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Thomas Sailer 2012-08-23 12:59:30 UTC
Spec URL: http://sailer.fedorapeople.org/mingw-lcms2.spec
SRPM URL: http://sailer.fedorapeople.org/mingw-lcms2-2.3-1.fc17.src.rpm
Description:
MinGW Color Management System

Approved MinGW packaging guidelines are here:
http://fedoraproject.org/wiki/Packaging/MinGW

Comment 1 greg.hellings 2012-09-08 05:33:52 UTC
Most of the feedback for this looks the same as it is for your mingw-lcms request. See my comments there for feedback.

Comment 2 greg.hellings 2012-11-20 04:02:47 UTC
Items marked + are good, and those marked - have issues.

+rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
mingw32-lcms2.noarch: W: spelling-error %description -l en_US lcms -> lams, LCM
mingw32-lcms2-debuginfo.noarch: E: debuginfo-without-sources
mingw32-lcms2-static.noarch: W: no-documentation
mingw64-lcms2.noarch: W: spelling-error %description -l en_US lcms -> lams, LCM
mingw64-lcms2-debuginfo.noarch: E: debuginfo-without-sources
mingw64-lcms2-static.noarch: W: no-documentation
mingw-lcms2.src: W: spelling-error %description -l en_US lcms -> lams, LCM

+The package must be named according to the Package Naming Guidelines .
+The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. 
+The package must meet the Packaging Guidelines .
+The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
+The License field in the package spec file must match the actual license.
+If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
+The spec file must be written in American English.
+The spec file for the package MUST be legible.
+The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
+The package MUST successfully compile and build into binary rpms on at least one primary architecture. (I tested x86_64 on f17)
+If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
+All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
+The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
(n/a)Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
+Packages must NOT bundle copies of system libraries.
(n/a) If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
+A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
+A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
+Permissions on files must be set properly. Executables should be set with executable permissions, for example.
+Each package must consistently use macros.
+The package must contain code, or permissable content.
+Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
+If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
+Static libraries must be in a -static package.
(n/a) Development files must be in a -devel package.
(n/a) In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
+Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
+Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
+Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
+All filenames in rpm packages must be valid UTF-8.

Additional notes:
1) You can remove the mingw_build_win{32,64} lines
2) You can delete lines that invoke the 'Group:' directive
3) You can delete the 'rm -rf ${RPM_BUILD_ROOT}' line, that is no longer necessary
4) You can delete the %clean section
5) You can delete the lines that begin with %defattr

There is now a 2.4 released upstream, you might want to look at bumping to that when you make revisions to your spec file.

Comment 3 Thomas Sailer 2012-11-20 11:09:04 UTC
Thank you Greg for the review!

(In reply to comment #2)

> Additional notes:
> 1) You can remove the mingw_build_win{32,64} lines
done

> 2) You can delete lines that invoke the 'Group:' directive
see the mingw-lcms review

> 3) You can delete the 'rm -rf ${RPM_BUILD_ROOT}' line, that is no longer
> necessary
done

> 4) You can delete the %clean section
done

> 5) You can delete the lines that begin with %defattr
done

> There is now a 2.4 released upstream, you might want to look at bumping to
> that when you make revisions to your spec file.
done

Comment 4 greg.hellings 2012-11-20 16:20:17 UTC
Same comment about Group applies here. Removing it is by no means a necessity.

Comment 5 greg.hellings 2012-11-24 01:55:12 UTC
I'm curious - are you already a packager? I don't see your FAS account mentioned. If so, I can happily set these to fedora-review(+). If you're not yet a packager, you'll need to find a sponsor.

Comment 6 Thomas Sailer 2012-12-05 10:23:24 UTC
Yes I'm already sponsored, my FAS account name is sailer.

Thank you!

Comment 7 greg.hellings 2013-01-04 15:11:59 UTC
Sorry, I got sidetracked through the holiday season and didn't get a chance to respond. Setting the review complete flag here.

Comment 8 Thomas Sailer 2013-01-04 23:59:19 UTC
Thanks Greg!

New Package SCM Request
=======================
Package Name: mingw-lcms2
Short Description: MinGW Color Management System
Owners: sailer
Branches: f17 f18
InitialCC:

Comment 9 Gwyn Ciesla 2013-01-07 13:23:07 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2013-01-07 14:37:31 UTC
mingw-lcms2-2.4-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mingw-lcms2-2.4-1.fc18

Comment 11 Fedora Update System 2013-01-07 14:37:48 UTC
mingw-lcms2-2.4-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mingw-lcms2-2.4-1.fc17

Comment 12 Fedora Update System 2013-01-07 21:21:10 UTC
mingw-lcms2-2.4-1.fc18 has been pushed to the Fedora 18 testing repository.

Comment 13 Fedora Update System 2013-01-16 19:45:36 UTC
mingw-lcms2-2.4-1.fc18 has been pushed to the Fedora 18 stable repository.

Comment 14 Fedora Update System 2013-01-18 20:27:18 UTC
mingw-lcms2-2.4-1.fc17 has been pushed to the Fedora 17 stable repository.


Note You need to log in before you can comment on or make changes to this bug.